Skip to main content
GET
/
api
/
Orders
/
{orderId}
/
externalCallProcess
Get external call processed events by orderId
curl --request GET \
  --url https://dln-api.debridge.finance/api/Orders/{orderId}/externalCallProcess
{
  "totalInstructionsCount": 123,
  "steps": [
    {
      "stepNumber": 123,
      "eventMetadata": {
        "transactionHash": {
          "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
          "bytesArrayValue": "<string>",
          "stringValue": "<string>"
        },
        "blockNumber": 123,
        "blockHash": {
          "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
          "bytesArrayValue": "<string>",
          "stringValue": "<string>"
        },
        "blockTimeStamp": 123,
        "initiator": {
          "Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
          "bytesArrayValue": "<string>",
          "stringValue": "<string>"
        }
      },
      "extcallBeneficiaries": [
        {
          "Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
          "bytesArrayValue": "<string>",
          "stringValue": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.debridge.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

orderId
string
required

Id of an order to return events for

Response

OK

totalInstructionsCount
integer<int32>

Total number of instructions in the ExternalCall

steps
object[] | null

External call execution steps